Type to search.

Create organization invitations

Base URL
https://api.elastic-cloud.com/api/v1
No auth

Creates or refreshes organization invitations. Currently unavailable in self-hosted ECE.

Path parameters

organization_id string required

Identifier for the Organization

Request body

The organization invitations to create or refresh

emails string[] required

The email addresses to invite to the organization

expires_in string

The date and time when the invitation expires. Defaults to three days from now.

Responses

Organization invitations created successfully

application/json
invitations object[] required

The list of organization invitations

token string required

The token used to accept the invitation

email string required

The email address to invite to the organization

created_at string · format: date-time required

The date and time when the invitation was created

expires_at string · format: date-time required

The date and time when the invitation expires

expired boolean required

True if the invitation is expired

accepted_at string · format: date-time

The date and time when the invitation was accepted

organization object required

An organization

id string required

The organization's identifier

name string required

The organization's friendly name

enforce_authentication_method string

Enforces a particular authentication method for organization members

default_disk_usage_alerts_enabled boolean

Whether the default disk alerts are enabled

notifications_allowed_email_domains string[]

The list of allowed domains for notification-email recipients

billing_contacts string[]

The list of contacts for billing notifications, if specified

operational_contacts string[]

The list of contacts for operational notifications, if specified

sso_login_identifier string

The login identifier for initiating SSO

role_assignments object

Roles assigned to users, API keys or organization invitations. Currently unavailable in self-hosted ECE.

Same fields as role_assignments